| QxOrm 1.2.9 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes
qx::dao::detail::IxSqlElement Class Reference
QxDao : QxOrm library database communication used by persistence engine (ORM - Object Relational Mapping)

qx::dao::detail::IxSqlElement : common interface for all SQL elements to build SQL query More...

`#include <IxSqlElement.h>`

Inheritance diagram for qx::dao::detail::IxSqlElement:

List of all members.

## Public Member Functions
| IxSqlElement (int index)
virtual | ~IxSqlElement ()
void | setColumn (const QString &column)
void | setColumns (const QStringList &columns)
void | setValue (const QVariant &val)
void | setValues (const QVariantList &values)
virtual QString | toString () const =0
virtual void | resolve (QSqlQuery &query) const =0
virtual void | postProcess (QString &sql) const =0
virtual void | clone (IxSqlElement *other)
## Protected Member Functions
void | updateKeys ()
## Protected Attributes
int | m_iIndex
| Index of SQL element to build unique string.
QStringList | m_lstColumns
| List of columns associated to SQL element.
QStringList | m_lstKeys
| List of keys associated to SQL element.
QVariantList | m_lstValues
| List of values associated to SQL element.
IxSqlGenerator * | m_pSqlGenerator
| SQL generator to build SQL query specific for each database.

## Detailed Description

qx::dao::detail::IxSqlElement : common interface for all SQL elements to build SQL query

Definition at line 58 of file IxSqlElement.h.

## Constructor & Destructor Documentation

qx::dao::detail::IxSqlElement::IxSqlElement | ( | int | index | ) |

virtual qx::dao::detail::IxSqlElement::~IxSqlElement | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void qx::dao::detail::IxSqlElement::clone | ( | IxSqlElement * | other | ) | `[virtual]`

virtual void qx::dao::detail::IxSqlElement::postProcess | ( | QString & | sql | ) | const`[pure virtual]`

Implemented in qx::dao::detail::QxSqlCompare, qx::dao::detail::QxSqlExpression, qx::dao::detail::QxSqlIn, qx::dao::detail::QxSqlIsBetween, qx::dao::detail::QxSqlIsNull, qx::dao::detail::QxSqlSort, qx::dao::detail::QxSqlElementTemp, qx::dao::detail::QxSqlFreeText, and qx::dao::detail::QxSqlLimit.

virtual void qx::dao::detail::IxSqlElement::resolve | ( | QSqlQuery & | query | ) | const`[pure virtual]`

Implemented in qx::dao::detail::QxSqlCompare, qx::dao::detail::QxSqlExpression, qx::dao::detail::QxSqlIn, qx::dao::detail::QxSqlIsBetween, qx::dao::detail::QxSqlIsNull, qx::dao::detail::QxSqlSort, qx::dao::detail::QxSqlElementTemp, qx::dao::detail::QxSqlFreeText, and qx::dao::detail::QxSqlLimit.

void qx::dao::detail::IxSqlElement::setColumn | ( | const QString & | column | ) |

void qx::dao::detail::IxSqlElement::setColumns | ( | const QStringList & | columns | ) |

void qx::dao::detail::IxSqlElement::setValue | ( | const QVariant & | val | ) |

void qx::dao::detail::IxSqlElement::setValues | ( | const QVariantList & | values | ) |

virtual QString qx::dao::detail::IxSqlElement::toString | ( |  | ) | const`[pure virtual]`

Implemented in qx::dao::detail::QxSqlCompare, qx::dao::detail::QxSqlExpression, qx::dao::detail::QxSqlIn, qx::dao::detail::QxSqlIsBetween, qx::dao::detail::QxSqlIsNull, qx::dao::detail::QxSqlSort, qx::dao::detail::QxSqlElementTemp, qx::dao::detail::QxSqlFreeText, and qx::dao::detail::QxSqlLimit.

void qx::dao::detail::IxSqlElement::updateKeys | ( |  | ) | `[protected]`

## Member Data Documentation

int qx::dao::detail::IxSqlElement::m_iIndex`[protected]`

Index of SQL element to build unique string.

Definition at line 63 of file IxSqlElement.h.

QStringList qx::dao::detail::IxSqlElement::m_lstColumns`[protected]`

List of columns associated to SQL element.

Definition at line 64 of file IxSqlElement.h.

QStringList qx::dao::detail::IxSqlElement::m_lstKeys`[protected]`

List of keys associated to SQL element.

Definition at line 65 of file IxSqlElement.h.

QVariantList qx::dao::detail::IxSqlElement::m_lstValues`[protected]`

List of values associated to SQL element.

Definition at line 66 of file IxSqlElement.h.

IxSqlGenerator* qx::dao::detail::IxSqlElement::m_pSqlGenerator`[protected]`

SQL generator to build SQL query specific for each database.

Definition at line 67 of file IxSqlElement.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxDao/QxSqlElement/IxSqlElement.h